OGRE: Ogre::UnifiedHighLevelGpuProgramFactory Class Reference - OGRE Documentation

Public Member Functions

# Ogre::UnifiedHighLevelGpuProgramFactory Class Reference
[Resources]

Factory class for Unified programs. More...

`#include <OgreUnifiedHighLevelGpuProgram.h>`

Inheritance diagram for Ogre::UnifiedHighLevelGpuProgramFactory:
[legend]

List of all members.

## Public Member Functions
| UnifiedHighLevelGpuProgramFactory ()
| ~UnifiedHighLevelGpuProgramFactory ()
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
void | destroy (HighLevelGpuProgram *prog)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Detailed Description

Factory class for Unified programs.

Definition at line 159 of file OgreUnifiedHighLevelGpuProgram.h.

## Constructor & Destructor Documentation

Ogre::UnifiedHighLevelGpuProgramFactory::UnifiedHighLevelGpuProgramFactory | ( |  | ) |

Ogre::UnifiedHighLevelGpuProgramFactory::~UnifiedHighLevelGpuProgramFactory | ( |  | ) |

## Member Function Documentation

HighLevelGpuProgram* Ogre::UnifiedHighLevelGpuProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader |
| ) |  |  | `[virtual]`

Implements Ogre::HighLevelGpuProgramFactory.

void Ogre::UnifiedHighLevelGpuProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

Implements Ogre::HighLevelGpuProgramFactory.

const String& Ogre::UnifiedHighLevelGpuProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

Get the name of the language this factory creates programs for.

Implements Ogre::HighLevelGpuProgramFactory.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

The documentation for this class was generated from the following file:

- OgreUnifiedHighLevelGpuProgram.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:03